#include<iostream>
#include<algorithm>
#include<math.h>
using namespace std;
int main ()
{
    int n;
    bool a[n];
    cin>>n;
    for(int i=1; i<n+1; i++)
    {
        if(a[n]%2==1)
        {
            a[n]=false;
        }
        else
        {
            a[n]=true;
        }
    }
    for(int j=1; j<n+1; j++)
    {
        if(a[n]%3==1 or 2)
        {
            a[n]=false;
        }
        else
        {
            a[n]=true;
        }
    }

    cout<<a[n];
    return 0;
}
